Tenant/Buckets

Create a bucket inside a product

Creates a new bucket (platform) inside a product. Bucket name must match [a-z0-9][a-z0-9_-]{0,49} and be unique within the product.

POST
/api/v2/products/{productId}/buckets

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

productId*string

UUID of the product

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v2/products/497f6eca-6276-4993-bfeb-53cbbbba6f08/buckets" \  -H "Content-Type: application/json" \  -d '{    "name": "mobile"  }'
{  "projectTypeId": 42,  "projectTypeName": "b2core-mobile",  "platform": "mobile",  "createdAt": "2019-08-24T14:15:22Z"}
Empty
Empty
Empty
Empty
Empty
Empty